FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202109210857.p0.git.3f3ebe7.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202109210857.p0.git.3f3ebe7.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3f3ebe7 OS_GIT_VERSION=4.8.0-202109210857.p0.git.3f3ebe7.assembly.stream-3f3ebe7 SOURCE_DATE_EPOCH=1628190397 SOURCE_GIT_COMMIT=3f3ebe7deb2252110207aac6ef726e843ba055c8 SOURCE_GIT_TAG=3f3ebe7d SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
WORKDIR /go/src/github.com/k8snetworkplumbingwg/sriov-network-operator
COPY . .

FROM openshift/ose-base:v4.8.0.20210921.090512
ENV __doozer=update BUILD_RELEASE=202109210857.p0.git.3f3ebe7.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202109210857.p0.git.3f3ebe7.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3f3ebe7 OS_GIT_VERSION=4.8.0-202109210857.p0.git.3f3ebe7.assembly.stream-3f3ebe7 SOURCE_DATE_EPOCH=1628190397 SOURCE_GIT_COMMIT=3f3ebe7deb2252110207aac6ef726e843ba055c8 SOURCE_GIT_TAG=3f3ebe7d SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
COPY --from=builder /go/src/github.com/k8snetworkplumbingwg/sriov-network-operator/must-gather/collection-scripts/* /usr/bin/

ENTRYPOINT /usr/bin/gather

LABEL \
        io.k8s.display-name="sriov-network-operator-must-gather" \
        io.k8s.description="This is a sriov must-gather image that collectes sriov network operator related resources." \
        name="openshift/ose-sriov-operator-must-gather" \
        com.redhat.component="sriov-network-must-gather-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202109210857.p0.git.3f3ebe7.assembly.stream" \
        io.openshift.build.commit.id="3f3ebe7deb2252110207aac6ef726e843ba055c8" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-network-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-network-operator/commit/3f3ebe7deb2252110207aac6ef726e843ba055c8" \
        version="v4.8.0"

